Last Comment Bug 655313 - Use a native rendering for vertical progress bar (GTK)
: Use a native rendering for vertical progress bar (GTK)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Gtk (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla6
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on: 638540
Blocks: 633207
  Show dependency treegraph
 
Reported: 2011-05-06 11:17 PDT by Mounir Lamouri (:mounir)
Modified: 2011-05-17 06:27 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (145 bytes, patch)
2011-05-06 11:17 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1 (6.92 KB, patch)
2011-05-06 11:23 PDT, Mounir Lamouri (:mounir)
karlt: review+
roc: review+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-05-06 11:17:44 PDT
Created attachment 530670 [details] [diff] [review]
Patch v1

There is no native rendering for determined vertical progress bar so I just had to adapt the animation to work on the vertical dimension.

Asking the review to roc and Karl given that I would like this to be landed soon.
Comment 1 Mounir Lamouri (:mounir) 2011-05-06 11:23:11 PDT
Created attachment 530673 [details] [diff] [review]
Patch v1
Comment 2 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-09 02:17:00 PDT
Comment on attachment 530673 [details] [diff] [review]
Patch v1

Review of attachment 530673 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 3 Mounir Lamouri (:mounir) 2011-05-17 06:27:47 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/734a53a6ddad

Note You need to log in before you can comment on or make changes to this bug.